<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('swp_settings', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('show_name_setting');
            $table->string('name_setting');
            $table->string('value_setting');
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('swp_settings');
    }
}
